<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectsTableCrmCodigoPostal extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('crm_codigo_postal', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('codigo_postal',25);
            $table->string('descripcion_zona_codigo_postal',200);
            $table->bigInteger('id_gira');
            $table->bigInteger('id_municipio');
            $table->bigInteger('id_zona');
            $table->bigInteger('id_user');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('crm_codigo_postal');
    }
}
